# Launch Offerwall

The primary function of the Playtime SDK is showing the offerwall to the users. The offerwall lists various campaigns that the users can complete to receive a reward in the app's virtual in-app currency.

Offerwall shows Event based campaigns, Target based campaigns and playtime campaigns.

<details>

<summary>Event-Based</summary>

Rewards users based on events. Users are rewarded after completing defined tasks. For example: Register into the app, in-app purchases, Make online purchases etc.

</details>

<details>

<summary>Playtime</summary>

Which rewards users for achieving a designated combination of events within advertised apps and also rewards users for the time they spend in the advertised app, e.g. Earn 50 points per minute for playing a game.

</details>

<details>

<summary>Level-Based</summary>

Playtime tab also has level based offers. Which rewards users for achieving a designated combination of events within advertised apps, e.g. in-app purchases, and/or reaching specified game levels. Users are rewarded after completing each task. Example: "Up to 5 points per level" or "Complete Level 10" etc.

</details>

We recommend triggering the offerwall via a button or UI element. Use the code below to launch the Playtime OfferWall Activity and display the Playtime Offerwall tab.

{% tabs %}
{% tab title="Java" %}

```java
if (PlaytimeAds.getInstance().isInitialized()) {
       PlaytimeAds.getInstance().open(context);
} else {
       setToast(context, "PlaytimeAds is not initialized");
       // Initialize Playtime SDK
 }
```

{% endtab %}

{% tab title="Kotlin" %}

```kotlin
if (PlaytimeAds.getInstance().isInitialized) {
       PlaytimeAds.getInstance().open(context)
} else {
       Toast.makeText(context, "PlaytimeAds is not initialized",Toast.LENGTH_SHORT).show()
       // Initialize Playtime Ads SDK
}
```

{% endtab %}
{% endtabs %}

### Access to Advertising Info

We also ask the user to accept the App Usage Permissions. This allows us to monitor the time spent in each game or app. Without accepting these permissions, users won't be eligible to participate in such campaigns which requires app usage access information to reward users.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.playtimeads.com/sdk-integration/android-integration/launch-offerwall.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
